> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/org/general/export-non-compliant-devices.md).

# 非準拠デバイスをエクスポート

非準拠の Intune デバイスと失敗した設定をエクスポート

### 説明

準拠していない、または猶予期間中の Intune デバイスを、それぞれで失敗したポリシーおよび個々の設定とともに一覧表示します。結果は、期限付きのダウンロード リンク付きで Azure Storage Account に CSV ファイルとしてエクスポートできます。変更は行われません。

### 場所

組織 → 全般 → 非準拠デバイスのエクスポート

**完全な Runbook 名**

rjgit-org\_general\_export-non-compliant-devices

### 詳細

| プロパティ    | 値                                                                    |
| -------- | -------------------------------------------------------------------- |
| バージョン    | 1.0.1                                                                |
| 必須モジュール  | <p>RealmJoin.RunbookHelper (>= 0.8.10)<br>Az.Accounts (>= 5.5.2)</p> |
| スケジュール可能 | いいえ                                                                  |

### 権限

#### アプリケーションのアクセス許可

* **種類**: Microsoft Graph
  * DeviceManagementConfiguration.Read.All
    * *Intune のコンプライアンス レポート エンドポイントを通じて、デバイスごとのポリシーと設定の準拠状況を取得します*
  * DeviceManagementManagedDevices.Read.All
    * */deviceManagement/managedDevices 経由で準拠していない Intune デバイスを一覧表示します*

#### アクセス許可に関する注意

Azure IaaS: リンクを生成する場合、Azure Storage リソースを作成/管理するためのアクセス権が必要です

### パラメーター

#### produceLinks

CSV ファイルを Tenant 設定で構成された Storage Account にアップロードし、ダウンロード リンクを返します。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   | True  |
| 種類    | ブール値  |

#### コンテナー名

レポート ファイルがアップロードされる Storage Account。Tenant 設定 IntuneDevicesReport.Container から取得されます。

| プロパティ    | 値                                |
| -------- | -------------------------------- |
| 必須       | false                            |
| 既定値      | rjrb-device-compliance-report-v2 |
| 種類       | 文字列                              |
| ポータルで非表示 | はい (Runbook のカスタマイズで事前設定)        |

#### リソース グループ名

Storage Account のリソース グループ。Tenant 設定 IntuneDevicesReport.ResourceGroup から取得されます。

| プロパティ    | 値                         |
| -------- | ------------------------- |
| 必須       | false                     |
| 既定値      |                           |
| 種類       | 文字列                       |
| ポータルで非表示 | はい (Runbook のカスタマイズで事前設定) |

#### Storage Account 名

エクスポート用の Storage Account。Tenant 設定 IntuneDevicesReport.StorageAccount.Name から取得されます。

| プロパティ    | 値                         |
| -------- | ------------------------- |
| 必須       | false                     |
| 既定値      |                           |
| 種類       | 文字列                       |
| ポータルで非表示 | はい (Runbook のカスタマイズで事前設定) |

#### Storage Account の場所

Storage Account を作成する必要がある場合に使用される Azure リージョン。Tenant 設定 IntuneDevicesReport.StorageAccount.Location から取得されます。

| プロパティ    | 値                         |
| -------- | ------------------------- |
| 必須       | false                     |
| 既定値      |                           |
| 種類       | 文字列                       |
| ポータルで非表示 | はい (Runbook のカスタマイズで事前設定) |

#### Storage Account SKU

Storage Account を作成する必要がある場合に使用されるパフォーマンス レベル。Tenant 設定 IntuneDevicesReport.StorageAccount.Sku から取得されます。

| プロパティ    | 値                         |
| -------- | ------------------------- |
| 必須       | false                     |
| 既定値      |                           |
| 種類       | 文字列                       |
| ポータルで非表示 | はい (Runbook のカスタマイズで事前設定) |

#### サブスクリプション ID

Storage Account を保持する Azure サブスクリプション。Tenant 設定 IntuneDevicesReport.SubscriptionId から取得されます。

| プロパティ    | 値                         |
| -------- | ------------------------- |
| 必須       | false                     |
| 既定値      |                           |
| 種類       | 文字列                       |
| ポータルで非表示 | はい (Runbook のカスタマイズで事前設定) |

[Runbook リファレンスの概要に戻る](/ja/zi-dong-hua/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/org/general/export-non-compliant-devices.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
